CVE-2021-45948

Out-of-bounds Write in conan/assimp

Identifiers

CVE-2021-45948

Package Slug

conan/assimp

Vulnerability

Out-of-bounds Write

Description

Open Asset Import Library (aka assimp) has a heap-based buffer overflow in m3dsafestr (called from m3d_load and Assimp::M3DWrapper::M3DWrapper).

Affected Versions

All versions starting from 5.1.0 up to 5.1.1

Solution

Unfortunately, there is no solution available yet.

Last Modified

2022-01-10

source